Approve Task
This endpoint allows an admin to approve a submitted task.
AuthorizationBearer <token>
Authorization header using the Bearer scheme. Example: "Bearer {token}"
In: header
Query Parameters
TaskId?string
The ID of the task to approve.
Format
uuidPoints?integer
The number of points to award for the approved task.
Format
int32MaxPerPeriod?integer
The maximum points that can be awarded per period for this task. This parameter is optional.
Format
int32Response Body
curl -X PUT "https://loading/SubmittedTask/ApproveTask"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"possibleTaskId": "dec4e134-0e4f-4745-bba5-4adfb532ca18",
"submittedAt": "2019-08-24T14:15:22Z",
"committee": "string",
"imagePath": "string",
"status": "Pending",
"points": 1,
"rejectionReason": "string",
"maxPerPeriod": 0
}Empty
Empty
Empty
Empty